LSMEM(1)

BEZEICHNUNG
lsmem - Bereiche verfügbaren Speichers mit deren Online-Status auflisten

ÜBERSICHT

lsmem [Optionen]

BESCHREIBUNG

Der Befehl lsmem listet die Bereiche des verfügbaren Speichers zusammen mit dessen Online-Status auf. Die aufgelisteten Speicherblöcke entsprechen der Darstellung der Speicherblöcke in Sysfs. Der Befehl zeigt außerdem die Größe der Speicherblöcke sowie die Menge des Speichers im Online- beziehungsweise Offline-Status an.

Die standardmäßige Ausgabe ist kompatibel zur ursprünglichen Implementation für S390-tools, aber es wird dringend empfohlen, standardmäßige Ausgaben in Ihren Skripten zu vermeiden. Definieren Sie in Umgebungen, in denen eine stabile Ausgabe erwartet wird, die erwarteten Spalten stets explizit mit der Option --output zusammen mit einer Liste der Spalten.

Der Befehl lsmem listet einen neuen Speicherbereich auf, und zwar immer dann, wenn sich der aktuelle Speicherblock von dem vorigen in der gleichen Ausgabespalte unterscheidet. Dieses Standardverhalten lässt sich bei Bedarf durch die Option --split (z.B. lsmem --split=ZONEN) außer Kraft setzen. Das spezielle Schlüsselwort »none« können Sie dazu verwenden, alle Unterschiede zwischen Speicherblöcken zu ignorieren und somit größtmögliche zusammenhängende Bereiche zu erzeugen. Die gegenteilige Wirkung erzielt --all, wodurch individuelle Speicherblöcke aufgelistet werden.

Beachten Sie, dass einige Ausgabespalten ungenaue Informationen anzeigen könnten, wenn eine Teilungsregel lsmem zwingt, die Unterschiede in einigen Attributen zu ignorieren. Wenn Sie beispielsweise löschbare und nicht löschbare Speicherblöcke in einem Bereich zusammenfassen, dann wird in der Ausgabe von lsmem der gesamte Bereich als nicht löschbar markiert.

Nicht alle Spalten werden auf allen Systemen unterstützt. Wenn eine nicht unterstützte Spalte angegeben wird, zeigt lsmem die Spalte zwar an, aber stellt dafür keinerlei Daten bereit.

Verwenden Sie die Option --help für eine Anzeige der Spaltenbeschreibung.

OPTIONEN

-a, --all
    listet jeden individuellen Speicherblock auf, anstatt Speicherblöcke anhand ähnlicher Attribute zu kombinieren.

-b, --bytes
    gibt die Größen in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden die Größen in Byte ausgedrückt und die Präfixe sind Potenzen der Form 2^10 (1024). Die Abkürzungen der Symbole werden zur besseren Lesbarkeit abgeschnitten, indem jeweils nur der erste Buchstabe dargestellt wird. Beispiele: »1 KiB« und »1 MiB« werden als »1 K« bzw. »1 M« dargestellt. Die Erwähnung des »iB«-Anteils, der Teil der Abkürzung ist, entfällt absichtlich.

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    gibt an, welche Spalten ausgegeben werden sollen. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Die Standardliste der Spalten kann erweitert werden, wenn die Liste im Format +Liste (z.B. lsmem -o +NODE) vorliegt.

--output-all
    gibt alle verfügbaren Spalten aus.

-P, --pairs
    formatiert die Ausgabe als »Schlüssel="Wert"«-Paare. Alle potenziell unsicheren Wert-Zeichen werden hexadezimal maskiert (\x<Code>).

-r, --raw
    erstellt die Ausgabe im rohen Format. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<Code>).

-S, --split Liste
    gibt an, welche Spalten (Attribute) zum Teilen von Speicherblöcken in Bereiche verwendet werden. Unterstützte Spalten sind STATE, REMOVABLE, NODE und ZONES, oder »none«. Die anderen Spalten werden stillschweigend ignoriert. Weitere Details finden Sie oben in der BESCHREIBUNG.

-s, --sysroot Verzeichnis
    sammelt Speicherdaten für eine andere Linux-Instanz als jener, von der aus der Befehl lsmem aufgerufen wurde. Das angegebene Verzeichnis ist die Systemwurzel der zu untersuchenden Linux-Instanz.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt die Versionsnummer an und beendet das Programm.

--summary[=wann]
    steuert die Ausgabe der Zeilen der Zusammenfassung. Das optionale Argument wann kann never, always oder only sein. Wenn das Argument wann ausgelassen wird, wird die Vorgabe only verwendet. Die Ausgabe der Zusammenfassung wird für --raw, --pairs und --json unterdrückt.

AUTOREN

lsmem wurde ursprünglich von Gerald Schaefer für S390-tools in Perl geschrieben. Die C-Version für Util-linux wurde von Clemens von Mann, Heiko Carstens und Karel Zak geschrieben.

SIEHE AUCH

chmem(8)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl lsmem ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).